Debian Bug report logs - #578613
dpkg-cross: fails with dpkg (>1.15.7) due to duplicate value for Provides field

version graph

Package: dpkg-cross; Maintainer for dpkg-cross is Debian Embedded Group <debian-embedded@lists.debian.org>; Source for dpkg-cross is src:dpkg-cross.

Reported by: Hector Oron <zumbi@debian.org>

Date: Wed, 21 Apr 2010 09:00:01 UTC

Severity: important

Found in version dpkg-cross/2.5.6

Fixed in version dpkg-cross/2.5.7

Done: Neil Williams <codehelp@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Debian Embedded Group <debian-embedded@lists.debian.org>:
Bug#578613; Package dpkg-cross. (Wed, 21 Apr 2010 09:00:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Hector Oron <zumbi@debian.org>:
New Bug report received and forwarded. Copy sent to Debian Embedded Group <debian-embedded@lists.debian.org>. (Wed, 21 Apr 2010 09:00:04 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Hector Oron <zumbi@debian.org>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: dpkg-cross: fails with dpkg on experimental
Date: Wed, 21 Apr 2010 10:57:01 +0200
Package: dpkg-cross
Version: 2.5.6
Severity: normal


Hello,

  Thanks to prahal for pointing the issue.

  I have upgraded dpkg to experimental version:
ii  dpkg                                 1.15.6.1                 Debian package management system

  Then I try to use dpkg-cross over linux-libc-dev causing a double Provides: line
$ LANG=C sudo dpkg-cross -a armel -b linux-libc-dev_2.6.32-11_armel.deb 
Building linux-libc-dev-armel-cross_2.6.32-11_all.deb
dpkg-deb: parse error, in file '/tmp/dpkg-cross.lYk7jrJk/dst/DEBIAN/control' near line 10 package 'linux-libc-dev-armel-cross':
 duplicate value for `Provides' field
dpkg-cross: building package with dpkg-deb -b failed.
dpkg-cross: conversion of linux-libc-dev_2.6.32-11_armel.deb failed.

  While on unstable dpkg (1.15.5.6):
$ LANG=C sudo dpkg-cross -a armel -b linux-libc-dev_2.6.32-11_armel.deb 
Building linux-libc-dev-armel-cross_2.6.32-11_all.deb
dpkg-deb: building package `linux-libc-dev-armel-cross' in `./linux-libc-dev-armel-cross_2.6.32-11_all.deb'.


Kind regards,

-- Package-specific info:

-- (/etc/dpkg-cross/cross-compile not submitted) --


-- System Information:
Debian Release: squeeze/sid
  APT prefers unstable
  APT policy: (500, 'unstable'), (500, 'testing')
Architecture: amd64 (x86_64)

Kernel: Linux 2.6.32-4-amd64 (SMP w/2 CPU cores)
Locale: LANG=ca_AD.UTF-8, LC_CTYPE=ca_AD.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/dash

Versions of packages dpkg-cross depends on:
ii  binutils-multiarch            2.20.1-3   Binary utilities that support mult
ii  debconf [debconf-2.0]         1.5.28     Debian configuration management sy
ii  dpkg-dev                      1.15.5.6   Debian package development tools
ii  libconfig-auto-perl           0.20-2     Magical config file parser
ii  libdebian-dpkgcross-perl      2.5.6      functions to aid cross-compiling D
ii  perl                          5.10.1-11  Larry Wall's Practical Extraction 

Versions of packages dpkg-cross recommends:
ii  fakeroot                      1.14.4-1   Gives a fake root environment

dpkg-cross suggests no packages.

-- debconf information excluded




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Embedded Group <debian-embedded@lists.debian.org>:
Bug#578613; Package dpkg-cross. (Wed, 21 Apr 2010 11:06:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Hector Oron <hector.oron@gmail.com>:
Extra info received and forwarded to list. Copy sent to Debian Embedded Group <debian-embedded@lists.debian.org>. (Wed, 21 Apr 2010 11:06:03 GMT) Full text and rfc822 format available.

Message #10 received at 578613@bugs.debian.org (full text, mbox):

From: Hector Oron <hector.oron@gmail.com>
To: 578613@bugs.debian.org, Debian Bug Tracking System <control@bugs.debian.org>
Subject: dpkg-cross: also seen on newer unstable dpkg (1.15.7)
Date: Wed, 21 Apr 2010 13:03:12 +0200
severity important
thanks

Hello,

  I raise the severity of the bug, as dpkg 1.15.7 has just landed on
unstable and shows the bug as well,

ii  dpkg                                 1.15.7

$ LANG=C sudo dpkg-cross -a armel -b linux-libc-dev_2.6.32-11_armel.deb
Building linux-libc-dev-armel-cross_2.6.32-11_all.deb
dpkg-deb: parse error, in file
'/tmp/dpkg-cross.wvOuRldB/dst/DEBIAN/control' near line 10 package
'linux-libc-dev-armel-cross':
 duplicate value for `Provides' field
dpkg-cross: building package with dpkg-deb -b failed.
dpkg-cross: conversion of linux-libc-dev_2.6.32-11_armel.deb failed.


This is probably due to a parsing error while having two Provides:
fields written in the control file.

-- 
 Héctor Orón

"Our Sun unleashes tremendous flares expelling hot gas into the Solar
System, which one day will disconnect us."




Severity set to 'important' from 'normal' Request was from Hector Oron <zumbi@debian.org> to control@bugs.debian.org. (Wed, 21 Apr 2010 11:15:12 GMT) Full text and rfc822 format available.

Changed Bug title to 'dpkg-cross: fails with dpkg (>1.15.7) due to duplicate value for Provides field' from 'dpkg-cross: fails with dpkg on experimental' Request was from Hector Oron <zumbi@debian.org> to control@bugs.debian.org. (Wed, 21 Apr 2010 11:21:06 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian Embedded Group <debian-embedded@lists.debian.org>:
Bug#578613; Package dpkg-cross. (Wed, 21 Apr 2010 11:36:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Hector Oron <hector.oron@gmail.com>:
Extra info received and forwarded to list. Copy sent to Debian Embedded Group <debian-embedded@lists.debian.org>. (Wed, 21 Apr 2010 11:36:06 GMT) Full text and rfc822 format available.

Message #19 received at 578613@bugs.debian.org (full text, mbox):

From: Hector Oron <hector.oron@gmail.com>
To: 578613@bugs.debian.org
Subject: dpkg-cross: more info, dpkg-cross control file
Date: Wed, 21 Apr 2010 13:32:57 +0200
Hello,

Looking to dpkg-cross generated control file:
$ dpkg -e linux-libc-dev-armel-cross_2.6.32-11_all.deb
$ cat DEBIAN/control
Package: linux-libc-dev-armel-cross
Version: 2.6.32-11
Section: devel
Priority: extra
Architecture: all
Maintainer: Debian Kernel Team <debian-kernel@lists.debian.org>
Source: linux-2.6
Conflicts: linux-kernel-headers-armel-cross
Provides: linux-libc-dev-armel-dcv1
Provides: linux-kernel-headers-armel-cross
Replaces: linux-kernel-headers-armel-cross
Description: Linux support headers for userspace development (for
cross-compiling)
 This package was generated by dpkg-cross for cross compiling.
 .
 This package provides userspaces headers from the Linux kernel.  These
 headers are used by the installed headers for GNU glibc and other system
 libraries.


According to http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=514249
there shouldn't exist a -dcv1 file.
Provides: linux-libc-dev-armel-dcv1
Provides: linux-kernel-headers-armel-cross

-- 
 Héctor Orón

"Our Sun unleashes tremendous flares expelling hot gas into the Solar
System, which one day will disconnect us."




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Embedded Group <debian-embedded@lists.debian.org>:
Bug#578613; Package dpkg-cross. (Wed, 21 Apr 2010 13:09:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Hector Oron <hector.oron@gmail.com>:
Extra info received and forwarded to list. Copy sent to Debian Embedded Group <debian-embedded@lists.debian.org>. (Wed, 21 Apr 2010 13:09:03 GMT) Full text and rfc822 format available.

Message #24 received at 578613@bugs.debian.org (full text, mbox):

From: Hector Oron <hector.oron@gmail.com>
To: 578613@bugs.debian.org
Subject: Re: Bug#578613: dpkg-cross: more info, dpkg-cross control file
Date: Wed, 21 Apr 2010 15:06:46 +0200
Hello,

According to dpkg people, the commit that introduces this issue is:
683d18a89197cfd824aaf291c008aebd9c6bd0c5

http://www.mail-archive.com/debian-dpkg-cvs@lists.debian.org/msg02597.html

Cheers,
-- 
 Héctor Orón

"Our Sun unleashes tremendous flares expelling hot gas into the Solar
System, which one day will disconnect us."




Information forwarded to debian-bugs-dist@lists.debian.org, Debian Embedded Group <debian-embedded@lists.debian.org>:
Bug#578613; Package dpkg-cross. (Thu, 22 Apr 2010 07:24:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Neil Williams <codehelp@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian Embedded Group <debian-embedded@lists.debian.org>. (Thu, 22 Apr 2010 07:24:05 GMT) Full text and rfc822 format available.

Message #29 received at 578613@bugs.debian.org (full text, mbox):

From: Neil Williams <codehelp@debian.org>
To: Hector Oron <hector.oron@gmail.com>, 578613@bugs.debian.org
Cc: control@bugs.debian.org
Subject: Re: Bug#578613: dpkg-cross: more info, dpkg-cross control file
Date: Thu, 22 Apr 2010 08:21:54 +0100
[Message part 1 (text/plain, inline)]
tag 578613 pending
thanks

On Wed, 21 Apr 2010 13:32:57 +0200
Hector Oron <hector.oron@gmail.com> wrote:

Changed:

	my $prov = (defined $control{"provides"}) ?
		$control{"provides"}.", ".$control{"package"} ."-$arch-dcv1":
		$control{"package"} ."-$arch-dcv1";
	print CONTROL ucfirst("provides") . ": $prov\n";
	for $field qw(depends conflicts replaces) {

Taking provides out of the following loop and handling it alone,
appending our own change if the field is already in use.

Updated in CVS, upload due today, hopefully.

-- 


Neil Williams
=============
http://www.data-freedom.org/
http://www.linux.codehelp.co.uk/
http://e-mail.is-not-s.ms/

[Message part 2 (application/pgp-signature, inline)]

Added tag(s) pending. Request was from Neil Williams <codehelp@debian.org> to control@bugs.debian.org. (Thu, 22 Apr 2010 07:24:06 GMT) Full text and rfc822 format available.

Reply sent to Neil Williams <codehelp@debian.org>:
You have taken responsibility. (Thu, 22 Apr 2010 21:42:08 GMT) Full text and rfc822 format available.

Notification sent to Hector Oron <zumbi@debian.org>:
Bug acknowledged by developer. (Thu, 22 Apr 2010 21:42:08 GMT) Full text and rfc822 format available.

Message #36 received at 578613-close@bugs.debian.org (full text, mbox):

From: Neil Williams <codehelp@debian.org>
To: 578613-close@bugs.debian.org
Subject: Bug#578613: fixed in dpkg-cross 2.5.7
Date: Thu, 22 Apr 2010 21:39:45 +0000
Source: dpkg-cross
Source-Version: 2.5.7

We believe that the bug you reported is fixed in the latest version of
dpkg-cross, which is due to be installed in the Debian FTP archive:

dpkg-cross_2.5.7.dsc
  to main/d/dpkg-cross/dpkg-cross_2.5.7.dsc
dpkg-cross_2.5.7.tar.gz
  to main/d/dpkg-cross/dpkg-cross_2.5.7.tar.gz
dpkg-cross_2.5.7_all.deb
  to main/d/dpkg-cross/dpkg-cross_2.5.7_all.deb
libdebian-dpkgcross-perl_2.5.7_all.deb
  to main/d/dpkg-cross/libdebian-dpkgcross-perl_2.5.7_all.deb



A summary of the changes between this version and the previous one is
attached.

Thank you for reporting the bug, which will now be closed.  If you
have further comments please address them to 578613@bugs.debian.org,
and the maintainer will reopen the bug report if appropriate.

Debian distribution maintenance software
pp.
Neil Williams <codehelp@debian.org> (supplier of updated dpkg-cross package)

(This message was generated automatically at their request; if you
believe that there is a problem with it please contact the archive
administrators by mailing ftpmaster@debian.org)


-----BEGIN PGP SIGNED MESSAGE-----
Hash: SHA1

Format: 1.8
Date: Thu, 22 Apr 2010 08:17:48 +0100
Source: dpkg-cross
Binary: dpkg-cross libdebian-dpkgcross-perl
Architecture: source all
Version: 2.5.7
Distribution: unstable
Urgency: low
Maintainer: Debian Embedded Group <debian-embedded@lists.debian.org>
Changed-By: Neil Williams <codehelp@debian.org>
Description: 
 dpkg-cross - tools for cross compiling Debian packages
 libdebian-dpkgcross-perl - functions to aid cross-compiling Debian packages
Closes: 578613
Changes: 
 dpkg-cross (2.5.7) unstable; urgency=low
 .
   * Append to any existing Provides field to avoid duplicate
     fields which now fail dpkg-deb parsing. (Closes: #578613)
Checksums-Sha1: 
 962eafe8086d037712c25267c3fbb5215ad058ac 1209 dpkg-cross_2.5.7.dsc
 bf76d893d6d9d497f85a13686156ced4199065cd 71676 dpkg-cross_2.5.7.tar.gz
 fabad549d275a0ee08aab83119462044733d061c 52268 dpkg-cross_2.5.7_all.deb
 482a266e71403a60b06266c8bf5c794b5fff3390 29242 libdebian-dpkgcross-perl_2.5.7_all.deb
Checksums-Sha256: 
 3aa82bfcc5950734ee1440475dfaae28587d15e5644e6f30cd1eeb4349e01100 1209 dpkg-cross_2.5.7.dsc
 c6c7d851c986209a7d4ff3265da5d97992ec8e8109e7d381be6014e39a68c0d8 71676 dpkg-cross_2.5.7.tar.gz
 5bc6fba354873a6b5988a31eac4c851e95de74b0a16d8cb7037e37ef59bd30db 52268 dpkg-cross_2.5.7_all.deb
 c83633aeca7eb85655aa325d68eaa520379d00f22c60cf74c9ebf0dc5c037e4b 29242 libdebian-dpkgcross-perl_2.5.7_all.deb
Files: 
 a2b334b9f7eed6d9454a38b73a32386e 1209 utils extra dpkg-cross_2.5.7.dsc
 c06591ecc15594f798885b0e87c658bc 71676 utils extra dpkg-cross_2.5.7.tar.gz
 844a2ab183cabab9d1ebef118147a2bb 52268 utils extra dpkg-cross_2.5.7_all.deb
 8b9e3b8ece1451d547d174de3afffc98 29242 perl extra libdebian-dpkgcross-perl_2.5.7_all.deb

-----BEGIN PGP SIGNATURE-----
Version: GnuPG v1.4.10 (GNU/Linux)

iEYEARECAAYFAkvQtCYACgkQiAEJSii8s+OoEACfcRkj6fhqN5uA+QtYOMa/B8+s
a9sAoLg7SnwnYTlVGFsGVRXr6oJArqK6
=JLEQ
-----END PGP SIGNATURE-----





Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Fri, 21 May 2010 07:31:07 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Fri Apr 18 21:18:48 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.